Generate an embed session
curl --request POST \
--url https://{tenant}.cubecloud.dev/api/v1/embed/generate-session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": 123,
"creatorMode": true,
"email": "<string>",
"embedTenantName": "<string>",
"embedTheme": {
"analyticsChat": {
"backgroundColor": "<string>",
"chatInput": {
"backgroundColor": "<string>",
"borderColor": "<string>"
}
},
"chat": {
"inputColor": "<string>"
},
"font": "<string>",
"primaryColor": "<string>"
},
"ephemeralTtlSeconds": 123,
"externalId": "<string>",
"groupDefinitions": [
{
"name": "<string>",
"description": "<string>"
}
],
"groups": [
"<string>"
],
"internalId": "<string>",
"isEphemeral": true,
"publicDashboardId": "<string>",
"roles": [
"<string>"
],
"securityContext": {},
"userAttributeDefinitions": [
{
"name": "<string>",
"defaultValue": "<string>",
"description": "<string>",
"displayName": "<string>"
}
],
"userAttributes": [
{
"name": "<string>",
"value": "<string>"
}
],
"userProfile": {
"displayName": "<string>",
"picture": "<string>"
}
}
'import requests
url = "https://{tenant}.cubecloud.dev/api/v1/embed/generate-session"
payload = {
"deploymentId": 123,
"creatorMode": True,
"email": "<string>",
"embedTenantName": "<string>",
"embedTheme": {
"analyticsChat": {
"backgroundColor": "<string>",
"chatInput": {
"backgroundColor": "<string>",
"borderColor": "<string>"
}
},
"chat": { "inputColor": "<string>" },
"font": "<string>",
"primaryColor": "<string>"
},
"ephemeralTtlSeconds": 123,
"externalId": "<string>",
"groupDefinitions": [
{
"name": "<string>",
"description": "<string>"
}
],
"groups": ["<string>"],
"internalId": "<string>",
"isEphemeral": True,
"publicDashboardId": "<string>",
"roles": ["<string>"],
"securityContext": {},
"userAttributeDefinitions": [
{
"name": "<string>",
"defaultValue": "<string>",
"description": "<string>",
"displayName": "<string>"
}
],
"userAttributes": [
{
"name": "<string>",
"value": "<string>"
}
],
"userProfile": {
"displayName": "<string>",
"picture": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: 123,
creatorMode: true,
email: '<string>',
embedTenantName: '<string>',
embedTheme: {
analyticsChat: {
backgroundColor: '<string>',
chatInput: {backgroundColor: '<string>', borderColor: '<string>'}
},
chat: {inputColor: '<string>'},
font: '<string>',
primaryColor: '<string>'
},
ephemeralTtlSeconds: 123,
externalId: '<string>',
groupDefinitions: [{name: '<string>', description: '<string>'}],
groups: ['<string>'],
internalId: '<string>',
isEphemeral: true,
publicDashboardId: '<string>',
roles: ['<string>'],
securityContext: {},
userAttributeDefinitions: [
{
name: '<string>',
defaultValue: '<string>',
description: '<string>',
displayName: '<string>'
}
],
userAttributes: [{name: '<string>', value: '<string>'}],
userProfile: {displayName: '<string>', picture: '<string>'}
})
};
fetch('https://{tenant}.cubecloud.dev/api/v1/embed/generate-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sessionId": "<string>"
}Embed
Generate an embed session
POST
/
v1
/
embed
/
generate-session
Generate an embed session
Authorizations
Token authentication. Send Authorization: Bearer <YOUR_TOKEN>.
Body
application/json
GenerateSessionDTO
Pattern:
^[a-z][a-z0-9-]{0,34}[a-z0-9]$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
200 - application/json
⌘I